# studio::KeyframeActionManager Class Reference

`#include <keyframeactionmanager.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_show_keyframe_properties ()
void | queue_refresh ()
| KeyframeActionManager ()
| ~KeyframeActionManager ()
void | set_ui_manager (const Glib::RefPtr< Gtk::UIManager > &x)
Glib::RefPtr< Gtk::UIManager > | get_ui_manager () const
void | set_keyframe_tree (KeyframeTree *x)
KeyframeTree * | get_keyframe_tree () const
void | set_canvas_interface (const etl::handle< synfigapp::CanvasInterface > &x)
etl::handle < synfigapp::CanvasInterface > | get_canvas_interface () const
void | refresh ()
void | clear ()

## Constructor & Destructor Documentation

KeyframeActionManager::KeyframeActionManager | ( |  | ) |

KeyframeActionManager::~KeyframeActionManager | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::KeyframeActionManager::signal_show_keyframe_properties | ( |  | ) | `[inline]`

Referenced by studio::Dock_Keyframes::Dock_Keyframes().

void KeyframeActionManager::queue_refresh | ( |  | ) |

References refresh().

Referenced by set_canvas_interface(), and set_keyframe_tree().

void KeyframeActionManager::set_ui_manager | ( | const Glib::RefPtr< Gtk::UIManager > & | x | ) |

References clear(), and get_ui_manager().

Referenced by studio::Dock_Keyframes::Dock_Keyframes().

Glib::RefPtr<Gtk::UIManager> studio::KeyframeActionManager::get_ui_manager | ( |  | ) | const`[inline]`

Referenced by clear(), refresh(), and set_ui_manager().

void KeyframeActionManager::set_keyframe_tree | ( | KeyframeTree * | x | ) |

References queue_refresh().

Referenced by studio::Dock_Keyframes::changed_canvas_view_vfunc().

KeyframeTree* studio::KeyframeActionManager::get_keyframe_tree | ( |  | ) | const`[inline]`

void KeyframeActionManager::set_canvas_interface | ( | const etl::handle< synfigapp::CanvasInterface > & | x | ) |

References queue_refresh().

Referenced by studio::Dock_Keyframes::changed_canvas_view_vfunc().

etl::handle<synfigapp::CanvasInterface> studio::KeyframeActionManager::get_canvas_interface | ( |  | ) | const`[inline]`

Referenced by refresh().

void KeyframeActionManager::refresh | ( |  | ) |

References _, synfigapp::Action::ParamList::add(), synfigapp::Action::CATEGORY_KEYFRAME, clear(), synfigapp::Action::create(), get_canvas_interface(), get_ui_manager(), and studio::KeyframeTreeStore::Model::keyframe.

Referenced by studio::Dock_Keyframes::changed_canvas_view_vfunc(), and queue_refresh().

void KeyframeActionManager::clear | ( |  | ) |

References synfigapp::Action::create(), get_ui_manager(), and no_prev_popup().

Referenced by refresh(), and set_ui_manager().

The documentation for this class was generated from the following files:

- keyframeactionmanager.h
- keyframeactionmanager.cpp